package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 试卷问题对象 bus_exam_info_ques
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class BusExamInfoQues extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 试卷主键 */
    @Excel(name = "试卷主键")
    private Long examId;

    /** 问题主键 */
    @Excel(name = "问题主键")
    private Long questionId;

    /** 分数 */
    @Excel(name = "分数")
    private Long marks;

    /** 排序 */
    @Excel(name = "排序")
    private Long sortBy;

    public void setExamId(Long examId) 
    {
        this.examId = examId;
    }

    public Long getExamId() 
    {
        return examId;
    }
    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setMarks(Long marks) 
    {
        this.marks = marks;
    }

    public Long getMarks() 
    {
        return marks;
    }
    public void setSortBy(Long sortBy) 
    {
        this.sortBy = sortBy;
    }

    public Long getSortBy() 
    {
        return sortBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("examId", getExamId())
            .append("questionId", getQuestionId())
            .append("marks", getMarks())
            .append("sortBy", getSortBy())
            .toString();
    }
}
